#ifndef VEC_H
#define VEC_H

#include <vector>

class Vec {
private:
   int n;
   std::vector<double> data;

public:
   Vec();
   Vec(int n);
//   Vec(const Vec& V); // default copy-constructor sufficient
//   no destructor needed default destructor sufficient
   void resize(int n);
   int getN() const;
   Vec& fill(double value);
   const double& getElem(int i) const;
   double& getElem(int i);
   Vec& add(const Vec& V);
   bool equal(const Vec& V) const;

};

#endif
